import cv2
import numpy as np

# Загрузка модели HOG + SVM
face_cascade = cv2.CascadeClassifier('haarcascade_frontalface_default.xml')

# Функция для поиска лиц на изображении
def find_faces(image):
    gray = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)
    faces = face_cascade.detectMultiScale(gray, 1.1, 4)

    # Рисование прямоугольников вокруг обнаруженных лиц

    for (x, y, w, h) in faces:
        cv2.rectangle(image, (x, y), (x + w, y + h), (0, 255, 0), 2)

    return image

# Загрузка изображения

image = cv2.imread('image.jpg')

# Поиск лиц на изображении
detected_image = find_faces(image)

# Отображение результата
cv2.imshow('Detected Faces', detected_image)
cv2.waitKey(0)
cv2.destroyAllWindows()